import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { togglePersist } from '../../actions';
import { CoreStoreState } from '../../reducers';
type StateProps = ReturnType<typeof mapStateToProps>;
type DispatchProps = ResolveThunks<typeof actionCreators>;
interface OwnProps {
    disabled?: boolean;
}
type Props = StateProps & DispatchProps & OwnProps;
declare class LockButton extends Component<Props> {
    shouldComponentUpdate(nextProps: Props): boolean;
    render(): React.JSX.Element;
}
declare const mapStateToProps: (state: CoreStoreState) => {
    persisted: boolean | undefined;
};
declare const actionCreators: {
    onClick: typeof togglePersist;
};
declare const _default: import("react-redux").ConnectedComponent<typeof LockButton, {
    key?: React.Key | null | undefined;
    disabled?: boolean | undefined;
    ref?: React.LegacyRef<LockButton> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default _default;
